Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.fill
Class JRSwapFileVirtualizer

    java.lang.Object
      net.sf.jasperreports.engine.fill.JRAbstractLRUVirtualizer
          net.sf.jasperreports.engine.fill.JRSwapFileVirtualizer

All Implemented Interfaces:
  JRVirtualizer

    public class JRSwapFileVirtualizer

extends JRAbstractLRUVirtualizer

A virtualizer that uses a single swap file to serialize virtual data.

Version:
  $Id: JRSwapFileVirtualizer.java 3659 2010-03-31 10:20:49Z shertage $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Nested Class Summary

Nested classes/interfaces inherited from class net.sf.jasperreports.engine.fill.JRAbstractLRUVirtualizer
`JRAbstractLRUVirtualizer.Cache, JRAbstractLRUVirtualizer.CacheReference, JRAbstractLRUVirtualizer.ClassLoaderAnnotationObjectInputStream, JRAbstractLRUVirtualizer.ClassLoaderAnnotationObjectOutputStream`

Field Summary

Fields inherited from class net.sf.jasperreports.engine.fill.JRAbstractLRUVirtualizer
`CLASSLOADER_IDX_NOT_SET, classLoadersIndexes, classLoadersList, lastObject, lastObjectMap, lastObjectSet`

Constructor Summary
`JRSwapFileVirtualizer(int maxSize, JRSwapFile swap)` Creates a virtualizer that uses a swap file.
`JRSwapFileVirtualizer(int maxSize, JRSwapFile swap, boolean swapOwner)` Creates a virtualizer that uses a swap file.

Method Summary
`void` | `cleanup()` Disposes the swap file used if this virtualizer owns it.
`protected void` | `dispose(java.lang.String id)` Removes the external data associated with a virtualizable object.
`protected void` | `pageIn(JRVirtualizable o)` Reads a virtualizable object's data from an external storage.
`protected void` | `pageOut(JRVirtualizable o)` Writes a virtualizable object's data to an external storage.

Methods inherited from class net.sf.jasperreports.engine.fill.JRAbstractLRUVirtualizer
`clearData, deregisterObject, disposeAll, finalize, isAncestorClassLoader, isPagedOut, isPagedOutAndTouch, isReadOnly, isReadOnly, readData, registerObject, requestData, reset, setLastObject, setReadOnly, touch, virtualizeData, writeData`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRSwapFileVirtualizer

    public JRSwapFileVirtualizer(int maxSize,
                                 JRSwapFile swap)

  Creates a virtualizer that uses a swap file.

  The virtualizer will be considered the owner of the swap file.

  Parameters:
    `maxSize` - the maximum size (in JRVirtualizable objects) of the paged in cache.
    `swap` - the swap file to use for data virtualization

### JRSwapFileVirtualizer

    public JRSwapFileVirtualizer(int maxSize,
                                 JRSwapFile swap,
                                 boolean swapOwner)

  Creates a virtualizer that uses a swap file.

  Parameters:
    `maxSize` - the maximum size (in JRVirtualizable objects) of the paged in cache.
    `swap` - the swap file to use for data virtualization
    `swapOwner` - whether the virtualizer is the owner (single user) of the swap file. If `true`, the virtualizer will dispose the swap file on `cleanup`.

Method Detail

### pageOut

    protected void pageOut(JRVirtualizable o)
                    throws java.io.IOException

  Description copied from class: `JRAbstractLRUVirtualizer`
  Writes a virtualizable object's data to an external storage.

  Specified by:
    `pageOut` in class `JRAbstractLRUVirtualizer`
  Parameters:
    `o` - a virtualizable object
  Throws:
    `java.io.IOException`

### pageIn

    protected void pageIn(JRVirtualizable o)
                   throws java.io.IOException

  Description copied from class: `JRAbstractLRUVirtualizer`
  Reads a virtualizable object's data from an external storage.

  Specified by:
    `pageIn` in class `JRAbstractLRUVirtualizer`
  Parameters:
    `o` - a virtualizable object
  Throws:
    `java.io.IOException`

### dispose

    protected void dispose(java.lang.String id)

  Description copied from class: `JRAbstractLRUVirtualizer`
  Removes the external data associated with a virtualizable object.

  Specified by:
    `dispose` in class `JRAbstractLRUVirtualizer`
  Parameters:
    `id` - the ID of the virtualizable object

### cleanup

    public void cleanup()

  Disposes the swap file used if this virtualizer owns it.

  See Also:
    `JRSwapFileVirtualizer(int, JRSwapFile, boolean)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com